# MSP::CCS::LocalCartesianParameters Class Reference

`#include <LocalCartesianParameters.h>`

Inheritance diagram for MSP::CCS::LocalCartesianParameters:

List of all members.

## Public Member Functions

| LocalCartesianParameters ()
| LocalCartesianParameters (CoordinateType::Enum _coordinateType)
| LocalCartesianParameters (CoordinateType::Enum _coordinateType, double __longitude, double __latitude, double __height, double __orientation)
| LocalCartesianParameters (const LocalCartesianParameters &lcp)
| ~LocalCartesianParameters ()
LocalCartesianParameters & | operator= (const LocalCartesianParameters &lcp)
void | setLongitude (double __centralMeridian)
void | setLatitude (double __originLatitude)
void | setHeight (double __height)
void | setOrientation (double __orientation)
double | longitude () const
double | latitude () const
double | height () const
double | orientation () const

## Detailed Description

Definition at line 15 of file LocalCartesianParameters.h.

## Constructor & Destructor Documentation

LocalCartesianParameters::LocalCartesianParameters | ( |  | ) |

Definition at line 9 of file LocalCartesianParameters.cpp.

LocalCartesianParameters::LocalCartesianParameters | ( | CoordinateType::Enum | _coordinateType | ) |

Definition at line 19 of file LocalCartesianParameters.cpp.

LocalCartesianParameters::LocalCartesianParameters | ( | CoordinateType::Enum | _coordinateType,
|  | double | __longitude,
|  | double | __latitude,
|  | double | __height,
|  | double | __orientation |
| ) |  |  |

Definition at line 29 of file LocalCartesianParameters.cpp.

LocalCartesianParameters::LocalCartesianParameters | ( | const LocalCartesianParameters & | lcp | ) |

Definition at line 39 of file LocalCartesianParameters.cpp.

LocalCartesianParameters::~LocalCartesianParameters | ( |  | ) |

Definition at line 50 of file LocalCartesianParameters.cpp.

## Member Function Documentation

double LocalCartesianParameters::height | ( |  | ) | const

Definition at line 111 of file LocalCartesianParameters.cpp.

double LocalCartesianParameters::latitude | ( |  | ) | const

Definition at line 105 of file LocalCartesianParameters.cpp.

double LocalCartesianParameters::longitude | ( |  | ) | const

Definition at line 99 of file LocalCartesianParameters.cpp.

LocalCartesianParameters & LocalCartesianParameters::operator= | ( | const LocalCartesianParameters & | lcp | ) |

Reimplemented from MSP::CCS::CoordinateSystemParameters.

Definition at line 59 of file LocalCartesianParameters.cpp.

double LocalCartesianParameters::orientation | ( |  | ) | const

Definition at line 117 of file LocalCartesianParameters.cpp.

void LocalCartesianParameters::setHeight | ( | double | __height | ) |

Definition at line 87 of file LocalCartesianParameters.cpp.

void LocalCartesianParameters::setLatitude | ( | double | __originLatitude | ) |

Definition at line 81 of file LocalCartesianParameters.cpp.

void LocalCartesianParameters::setLongitude | ( | double | __centralMeridian | ) |

Definition at line 75 of file LocalCartesianParameters.cpp.

void LocalCartesianParameters::setOrientation | ( | double | __orientation | ) |

Definition at line 93 of file LocalCartesianParameters.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystemParameters/LocalCartesianParameters.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystemParameters/LocalCartesianParameters.cpp